﻿/*
 * 
 * Info from:
 * http://www.c-sharpcorner.com/uploadfile/mahesh/menustrip-in-C-Sharp/
 * https://msdn.microsoft.com/en-us/library/7k989cfy%28v=vs.90%29.aspx
 * 
 */

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;


namespace ObjectProcessingWindowsFormsApplication
{
    public partial class ObjectProcessingForm : Form
    {
        public ObjectProcessingForm()
        {
            InitializeComponent();

            //  Here are where we create all of the controls for the buttons and menus that do stuff
            //  We are going to use these later

            buttonExit.Click += new System.EventHandler(buttonExit_Click);
			buttonClear.Click += new System.EventHandler(buttonClear_Click);
            lstBookstore.SelectedIndexChanged += new System.EventHandler(lstBookstore_SelectedIndexChanged);
            comboBxBooks.SelectedIndexChanged += new System.EventHandler(comboBxBooks_SelectedIndexChanged);
            stripMenu.Click += new System.EventHandler(stripMenuItemClick);

        }

        //  This is the public area and all of the following are the instances of things
        //  that are defined on the form. 

        Button  buttonExit = new Button();
		Button 	buttonClear = new Button();
		ListBox lstBookstore = new ListBox();
        ComboBox comboBxBooks = new ComboBox();
		PictureBox	pbPicture = new PictureBox();
		RichTextBox rtbDetails = new RichTextBox();
		Label labelHeader = new Label();
        Label labelBooks = new Label();
		Label labelBookstores = new Label();
        MenuStrip mainMenu = new MenuStrip();
        ToolStripMenuItem stripMenu = new ToolStripMenuItem();
        
        private void ObjectProcessingForm_Load(object sender, EventArgs e)
        {
            // Here is where all of the stuff that is on the form is built, we define a bunch of
            // stuff for each these items and tie all of them to the form
            // For the combo and list boxes we also define all of the stuff that will be
            // put into these
            
            buttonExit.Parent = this;
            buttonExit.Text = "Exit";
            buttonExit.Location = new Point(170, 300);

            buttonClear.Parent = this;
            buttonClear.Text = "Clear";
            buttonClear.Location = new Point(40, 300);

            comboBxBooks.Parent = this;
            comboBxBooks.Location = new Point(10, 80);
            comboBxBooks.Width = 100;
            comboBxBooks.Height = 20;
            comboBxBooks.Items.Add("Networking");
            comboBxBooks.Items.Add("Programming");
            comboBxBooks.Items.Add("Web");
            comboBxBooks.SelectedText = "Books";

            lstBookstore.Parent = this;
            lstBookstore.Location = new Point(120, 80);
            lstBookstore.Width = 120;
            lstBookstore.Height = 95;
            lstBookstore.Items.Add("Portland");
            lstBookstore.Items.Add("Beaverton");
            lstBookstore.Items.Add("Tigard");

            pbPicture.Parent = this;
            pbPicture.Location = new Point(260, 80);
            pbPicture.Width = 100;
            pbPicture.Height = 90;

            rtbDetails.Parent = this;
            rtbDetails.Location = new Point(120, 180);
            rtbDetails.Width = 120;
            rtbDetails.Height = 100;
            rtbDetails.Multiline = true;
            rtbDetails.Font = new Font("Arial", 10f);
            rtbDetails.ForeColor = Color.Gray;

            labelHeader.Parent = this;
            labelHeader.Text = "Object Processing";
            labelHeader.Location = new Point(205, 10);
            labelHeader.Width = 200;
            labelHeader.Font = new Font("Arial", 14f, FontStyle.Italic);

            labelBooks.Parent = this;
            labelBooks.Text = "Books";
            labelBooks.Location = new Point(10, 47);
            labelBooks.Font = new Font("Arial", 10f);

            labelBookstores.Parent = this;
            labelBookstores.Text = "Bookstores";
            labelBookstores.Location = new Point(120, 47);
            labelBookstores.Font = new Font("Arial", 10f);

            mainMenu.Parent = this;
            mainMenu.Name = "MainMenu";
            mainMenu.Items.Add(stripMenu);
        
            stripMenu.BackColor = Color.Blue;
            stripMenu.ForeColor = Color.Black;
            stripMenu.Text = "Exit";
            stripMenu.Font = new Font("Georgia", 12);
        }

        //  After the form has been built we add the event handlers that we defined earlier
        private void buttonExit_Click(object sender, EventArgs e)
        {
            // Event handler to exit program

            DialogResult dialogResult = MessageBox.Show("This will terminate your program", "Exit", MessageBoxButtons.YesNo, MessageBoxIcon.Exclamation);
            if (dialogResult == DialogResult.Yes)  Close();
        }

        private void buttonClear_Click(object sender, EventArgs e)
        {
            // event handler to clear the form

            rtbDetails.Clear();
            pbPicture.Image = null;
            comboBxBooks.SelectedIndex = -1;
            comboBxBooks.SelectedText = "Books";
        }

        private void lstBookstore_SelectedIndexChanged(object sender, EventArgs e)
        {
            //  Event handler to select the text for the textbox

            switch (lstBookstore.SelectedIndex)
                {
                    case 0:
                        rtbDetails.Text = "Portland has several bookstores that you can visit";
                        break;

                    case 1:
                        rtbDetails.Text = "Beaverton is a little far away from your place, you may want to visit other locations";
                        break;

                    case 2:
                        rtbDetails.Text = "Tigard has all the selected books that you have requested";
                        break;
                }
        }

        private void comboBxBooks_SelectedIndexChanged(object sender, EventArgs e)
        {
            // Event handler to select the pictures for the picturebox

            switch (comboBxBooks.SelectedIndex)
            {
                case 0:
                    pbPicture.Image = Properties.Resources.Network_Cover;
                    break;

                case 1:
                    pbPicture.Image = Properties.Resources.Programming;
                    break;

                case 2:
                    pbPicture.Image = Properties.Resources.webprogramming;
                    break;
            }
        }

        private void stripMenuItemClick(object sender, EventArgs e)
        {

            // Event handler for the menu

                buttonExit.PerformClick();
        }
    }
}
